Zeitgeist.Subject.matches_template – zeitgeist-2.0 Reference Manual

# matches_template

## Description:

public bool matches_template (Subject template_subject)

## Parameters:

template_subject | a Subject

## Returns:

true if this Subject matches *subject_template*. Empty fields in the template are treated as wildcards. Interpretations and manifestations are also matched if they are children of the types specified in `subject_template`.